
Foreman - Bug #4596

cannot change parent of hostgroup

03/08/2014 07:33 PM - Pierig Le Saux

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Host creation   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link: 1166161 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1403

  

Description

I cannot change the parent of a hostgroup in version 1.5 via the UI.

I believe I could do it via the rails console by changing the "ancestry" field.

Related issues:

Related to Foreman - Feature #3939: add option to 'inherit from parent' for h... Closed 01/02/2014

Has duplicate Foreman - Bug #4348: Host group parameters tab doesn't show inh... Duplicate 02/14/2014

Associated revisions

Revision e14b6968 - 09/09/2014 07:03 AM - Daniel Lobato Garcia

Fixes #4596 - Change parent of host group via AJAX

Reparenting host groups requires submitting the form to see the changes

nowadays, this fix makes the host group model inherit all properties

from the parent and show them in real time.

History

#1 - 03/11/2014 12:47 PM - Dominic Cleal

- Related to Feature #3939: add option to 'inherit from parent' for hostgroup attributes added

#2 - 03/11/2014 12:47 PM - Dominic Cleal

This was added in #3939, but I can't see why.  I remember agreeing to disable reparenting of orgs/locs as that was going to be overly complex, but

AFAIK, host group reparenting is safe.

#3 - 03/11/2014 02:13 PM - Ohad Levy

- Assignee set to Joseph Magen

I had a talk with Joseph and we are not sure why it was added in the first place, Joseph can you remove it?

#4 - 04/22/2014 10:09 AM - Dominic Cleal

- Assignee deleted (Joseph Magen)

#5 - 04/24/2014 12:00 PM - Daniel Lobato Garcia

- Assignee set to Daniel Lobato Garcia

#6 - 04/24/2014 12:17 PM - Daniel Lobato Garcia

- Target version set to 1.8.3

#7 - 04/29/2014 07:35 AM - Dominic Cleal

- translation missing: en.field_release deleted (4)
#8 - 05/07/2014 05:29 PM - Dominic Cleal

- Category set to Host creation

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1403

#9 - 05/19/2014 12:40 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#10 - 06/11/2014 02:58 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#11 - 07/07/2014 07:20 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#12 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#13 - 08/07/2014 07:08 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1403 added

#14 - 08/20/2014 06:49 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#15 - 09/09/2014 07:06 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#16 - 09/09/2014 08:01 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e14b6968afc277a1b461974bbb37c02319c04bc2.

#17 - 10/06/2014 03:56 AM - Dominic Cleal

- Has duplicate Bug #4348: Host group parameters tab doesn't show inherited parameters added

#18 - 11/20/2014 08:44 AM - Bryan Kearney

- Bugzilla link set to 1166161
